<?php
/**
* Interface Singleton
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-foundation  
* @author    Pascal Martin 
* @copyright Boral Informations Stratgiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

/**
* Interface Singleton
* 
* @category   PHP 
* @package    Borealis-foundation
* @subpackage Util
* @author     Pascal Martin 
* @example    M:\projects\php\borealis-foundation\test\src\com\borealis\foundation\util/SingletonImpl.php Exemple d'implmentation
*/  
interface com_borealis_foundation_util_Singleton
{
    /**
    * Retourne l'instance unique de object
    * 
    * @return com_borealis_security_util_Singleton
    */
    public static function getInstance();

}
 
?>
