<?php
/**
* Fichier de configuration du package Borealis-authentication
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-authentication  
* @author    Pascal Martin 
* @copyright Boréal Informations Stratégiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

/**
* Fichier de configuration du package Borealis-authentication 
* 
* @category   PHP 
* @package    Borealis-authentication
* @subpackage Setting     
* @author     Pascal Martin 
*/ 
abstract class com_borealis_authentication_Setting
{
    // --------------------------------------------------------------------------
    // PDO configuration - (simple only)
    // --------------------------------------------------------------------------
    const PDO_CHECKER_DSN = 'pgsql:host=192.168.5.121;port=5432;dbname=qa_application;user=postgres;password=postgres';
    const PDO_CHECKER_QUERY = "select users_id from users where users_login = :username and users_password = :password"; // Must be return one row or more if login is ok
    
    // --------------------------------------------------------------------------
    // Alfresco configuration - (simple only)
    // --------------------------------------------------------------------------
    const ALFRESCO_CHECKER_URL = 'http://192.168.5.121:8081/alfresco/service/api/login.xml';
    
    // --------------------------------------------------------------------------
    // Josso configuration - (simple only)
    // --------------------------------------------------------------------------
    const JOSSO_CHECKER_URL = 'http://192.168.5.121:9997/josso/services/SSOIdentityProvider?wsdl';
    const JOSSO_CHECKER_SECURITYDOMAIN = 'josso';
            
}
  
?>