<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
    <head>
        <title>Sample Borealis-Security application</title>
    </head>
    <body>
        <fieldset>
            <legend>{gettext key=fieldset_authorized}</legend>            
            <div id="error" style="color:red">{$errorIsAuthorized}</div>
            <form>            
                {gettext key=lbl_username} <input type="text" name="username" value="{$username}" style="width:200px" /><br/>
                {gettext key=lbl_resource}  
                <select name="ressourceid">
                    {foreach from=$ressources item=objRessource}   
                        {if $objRessource->getID() == $ressourceid}
                            <option value="{$objRessource->getID()}" selected>{$objRessource->getName()}</option>
                        {else}
                            <option value="{$objRessource->getID()}">{$objRessource->getName()}</option>
                        {/if}
                    {/foreach}                    
                </select><br/>
                {gettext key=lbl_action} 
                <select name="actionid">
                    {foreach from=$actions item=objAction} 
                        {if $objAction->getID() == $actionid}  
                            <option value="{$objAction->getID()}" selected>{$objAction->getName()}</option>
                        {else}
                            <option value="{$objAction->getID()}">{$objAction->getName()}</option>
                        {/if}
                    {/foreach}                    
                </select>
                <br/> 
                <br/>
                <input type="submit" value="{gettext key=btn_authorized}" /> 
                <input type="hidden" name="action" value="is_authorized"/>   
            </form>
            {if isset($isAuthorized) }
                {gettext key=lbl_username} <i>{$username}</i><br/>
                {gettext key=lbl_resource} <i>{$ressource->getName()}</i><br/>   
                {gettext key=lbl_action} <i>{$action->getName()}</i><br/> 
                <br/>  
                {gettext key=lbl_result}
                {if $isAuthorized }
                    <span id="is_authorized" style="color:green">{gettext key=lbl_true}</span>  
                {else}
                    <span id="is_authorized" style="color:red">{gettext key=lbl_false}</span>
                {/if}            
            {/if}
        </fieldset>
    </body>
</html>