<?php

$g_strCurrentDir = dirname(__FILE__);
$g_strUrlPrefix  = str_repeat('/..', count( explode('/', substr( strstr(dirname($_SERVER['PHP_SELF']), 'samples' ), 8))));

$g_strGeoprisma                 = "$g_strCurrentDir/..";
$g_strGeoprismaCore             = "$g_strGeoprisma/src/server/core";
$g_strBorealisFoundation        = "$g_strGeoprisma/lib/php-borealis-foundation-0.3.1.28"; 
$g_strBorealisAuthentication    = "$g_strGeoprisma/lib/php-borealis-authentication-0.2.1.9"; 
$g_strBorealisAcl               = "$g_strGeoprisma/lib/php-borealis-acl-0.2.1.16"; 
$g_strSmarty                    = "$g_strGeoprisma/lib/Smarty-2.6.22/libs";
$g_strBorealisUser              = "$g_strGeoprisma/lib/php-borealis-users-0.1.1.2";

$g_strLocaleDir                 = "$g_strGeoprisma/languages"; 
$g_strWidgetDir                 = "$g_strGeoprisma/src/client/widgets"; 
$g_strTemplateDir               = "$g_strGeoprisma/src/client/templates"; 
$g_strConfigDir                 = "$g_strGeoprisma/config"; 

$g_strLibUrl                    = "..$g_strUrlPrefix/lib/client";
$g_strTemplateUrl               = "..$g_strUrlPrefix/src/client/templates";
$g_strWidgetUrl                 = "..$g_strUrlPrefix/src/client/widgets";

$g_bConfigSecure                = false;

$g_objArrayParameters = array(
    array('key' => 'g_ex_ext_debug',        'value' => false ),
    array('key' => 'g_ex_compressed_lib',   'value' => true ),
    array('key' => 'g_ex_viewport',         'value' => false )
);


function getSampleHeader() {
    return getSampleIncFile("header.inc.html");
};

function getSampleFooter() {
    return getSampleIncFile("footer.inc.html");
};

function getSampleFile() {
    return getSampleIncFile("sample.inc.html");
};

function getSampleIncFile($pstrIncFile) {
    $strSampleDir = dirname($_SERVER['SCRIPT_FILENAME']);

   $strFile = str_replace('\\','/',realpath($strSampleDir."/".$pstrIncFile));
   
    if (!file_exists($strFile)) {
        $strFile = str_replace('\\','/',dirname(__FILE__)."/".$pstrIncFile);
    }

    return $strFile;
};

?>
