<?php                                    
header('Content-type: application/json; charset=UTF-8');  


// --------------------------------------
// Set include path
// --------------------------------------
set_include_path(".".PATH_SEPARATOR.'../../../../lib/php-borealis-foundation-0.1.0.19-lite');
                     
// --------------------------------------
// Require class
// --------------------------------------
require_once 'com/borealis/Autoload.php';  
  
$strCurrentDir = dirname(__FILE__);  

$strTarget = com_borealis_foundation_util_Path::getAbsolute("$strCurrentDir/../../../../dist"); 



$g_objState = array( 'id' => 0, 
                          'ok'      => '?', 
                          'error'   => '?',
                          'failure' => '?',
                          'status'  => 'unknown',
                          'message' => 'Lauch PHP Unit test in Developper tools section' );

if (file_exists("$strTarget/junit_result.xml"))
{
    try
    {        
        $objSimpleXMLElement = @simplexml_load_file("$strTarget/junit_result.xml");

        if ($objSimpleXMLElement != null)
        {
            $iErrorsNumber = (int)$objSimpleXMLElement['errors'];    
            $iFailuresNumber = (int)$objSimpleXMLElement['failures'];    
            $iOkNumber = (int)$objSimpleXMLElement['tests'] - $iErrorsNumber- $iFailuresNumber;    
            

            $g_objState['ok'] = $iOkNumber;
            $g_objState['error'] = $iErrorsNumber;
            $g_objState['failure'] = $iFailuresNumber; 
           
            if ($iErrorsNumber > 0 || $iFailuresNumber > 0)
            {
                $g_objState['status'] = 'alert';
                $g_objState['message'] = 'Solve error and failure';                 
            }
            else
            {
                $g_objState['status'] = 'clean';        
                $g_objState['message'] = 'Great all test passed';        
            }
        }
    }
    catch(Exception $e)
    {
        // Ne rien faire
    }
}                          

echo json_encode( array("states" => array( $g_objState)));

?>