<?php
/* 
   Copyright (c) 2011- Mapgears Inc., published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 
  
class FeaturePanel_CustomForm extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg, $pstrType = null)
    {
        return parent::getText($pstrMsg, self::getType(), $pstrType);
    }

    static public function getAction()
    {
        return 'read';
    }    
     
    static public function getType()
    {
        return 'featurepanel_customform';
    }

    static public function getServiceType()
    {
        return 'featureserver';
    }

    static public function getMandatoryResourceOptionList()
    {
        return array(
            "editable" => "editable"
        );
    }

    static public function getOptionalResourceOptionList()
    {
        return null;
    }

    static public function mustClone()
    {
        return false;
    }
}
  
?>
