<?php
/* 
   Copyright (c) 2009- Boreal - Information Strategies, published under the BSD license.
   See http://geoprisma.org/license for the full text of the license. 
*/ 
  
class ResultExtGrid extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg, $pstrType = null)
    {
        return parent::getText($pstrMsg, self::getType(), $pstrType);
    }

    static public function getAction()
    {
        return 'read';
    }    
     
    static public function getType()
    {
        return 'resultextgrid';
    }

    static public function getServiceType()
    {
        return 'wms';
    }

    static public function getMandatoryResourceOptionList()
    {
        return array("result");
    }

    static public function getOptionalResourceOptionList()
    {
        return null;
    }

    static public function mustClone()
    {
        return false;
    }

    static public function getMandatoryResourceOptionValueList() 
    {
        return array("result" => "resultextgrid");
    }
}
  
?>
