Ext.namespace("GeoExt.ux");

if (GeoExt.ux.FilterBuilderSelector) {
    Ext.apply(GeoExt.ux.FilterBuilderSelector.prototype, {
        filter_builder_add_condition_text: "Add a condition",
        filter_builder_post_combo_text: "of the following criteria :",
        filter_builder_pre_combo_text: "Find",
        filter_builder_combobox_layertype_text: "Layer to filter :",
        filter_builder_type_names: ["one", "all", "none", "unlike"],
        filter_button_text: 'Apply filter',
        filter_fieldset_text: 'Search filter',
        title: 'Filtre'
    });
}

if (GeoExt.ux.FeatureGridResult) {
    Ext.apply(GeoExt.ux.FeatureGridResult.prototype, {
        title: 'Results',
        position_tooltip_text: 'Show position'
    });
}
if (GeoExt.ux.WFSFilterBuilderButton) {
    Ext.apply(GeoExt.ux.WFSFilterBuilderButton.prototype, {
        close_button_text: 'Close',
        window_title_text: 'Filter widget',
        tooltip: 'Filter widget',
        clear_filter_text: 'Reset all filters'
    });
}
if (gxp.form.ComparisonComboBox) {
    Ext.apply(gxp.form.ComparisonComboBox.prototype, {
        allowedTypes: [
            [OpenLayers.Filter.Comparison.EQUAL_TO, "="],
            [OpenLayers.Filter.Comparison.NOT_EQUAL_TO, "<>"],
            [OpenLayers.Filter.Comparison.LESS_THAN, "<"],
            [OpenLayers.Filter.Comparison.GREATER_THAN, ">"],
            [OpenLayers.Filter.Comparison.LESS_THAN_OR_EQUAL_TO, "<="],
            [OpenLayers.Filter.Comparison.GREATER_THAN_OR_EQUAL_TO, ">="],
            [OpenLayers.Filter.Comparison.LIKE, "like"]
        ]
    });
}
