<?php
/**
* Exception lancé quand la configuration est mal remplie. 
* Un class qui n'implemente pas l'interface org_geoprisma_config_Config
* 
* Exception code 401
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Exception lancé quand la configuration est mal remplie. 
* Un class qui n'implemente pas l'interface org_geoprisma_config_Config
* 
* Exception code 401
*  
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Pascal Martin
*/
class org_geoprisma_exception_BadConfigException extends Exception
{
    /**
    * Construit une nouvelle instance de org_geoprisma_exception_BadConfigException
    * 
    * @param string $pstrMessage Message d'erreur
    * 
    * @return org_geoprisma_exception_BadConfigException
    */
    public function __construct($pstrMessage)
    {   
        com_borealis_foundation_util_Assert::assertIsString($pstrMessage);
             
        parent::__construct($pstrMessage, 401);
    }   
}
  
?>