<?php
/**
* Class Proxy feature server quant la requete est de type Update  
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Pascal Martin 
* @copyright 2009, Boreal - Information Strategies
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Class Proxy feature server quant la requete est de type Update
* 
* @category   PHP 
* @package    GeoPrisma
* @subpackage Proxy 
* @author     Pascal Martin 
*/   
class org_geoprisma_proxy_featureserver_FeatureServerUpdateProxy extends org_geoprisma_proxy_featureserver_FeatureServerProxy
{
    /**
    * Foward the call end return the result
    * 
    * @return void
    */
    public function process()
    {     
        $strPutData = file_get_contents("php://input");   
        $strPathInfo = self::getPathInfo();  
        $objCurl = curl_init($this->addParam($this->getService()->getSource().$strPathInfo));                
        curl_setopt($objCurl, CURLOPT_CUSTOMREQUEST, 'PUT');
        curl_setopt($objCurl, CURLOPT_POSTFIELDS, $strPutData);    
        curl_exec($objCurl);
        curl_close($objCurl);              
    }
    
    /**
    * Retourne le nom de l'action réaliser par le proxy (Create - Read - Update - Delete)
    *                                   
    * @return string
    */
    public function getAction()
    {
        return self::CRUD_UPDATE;    
    }
}

?>