<?php


include_once dirname(__FILE__).'../../../../../../src/client/widgets/quickzoom/quickzoom.php';
    
class QuickZoomTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', QuickZoom::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('quickzoom', QuickZoom::getType());
    }     
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('en_US QuickZoom', QuickZoom::getText('phpunit_test','quickzoom'));
        $this->assertEquals('en_US QuickZoom', QuickZoom::getText('phpunit_test','gfhgffgjf'));
        $this->assertEquals('en_US QuickZoom', QuickZoom::getText('phpunit_test'));
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('fr_CA QuickZoom', QuickZoom::getText('phpunit_test','quickzoom'));        
        $this->assertEquals('fr_CA QuickZoom', QuickZoom::getText('phpunit_test','gfhgffgjf'));
        $this->assertEquals('fr_CA QuickZoom', QuickZoom::getText('phpunit_test'));
    }   
}
  
?>