<?php
    
class org_geoprisma_config_ConfigFactoryTest extends PHPUnit_Framework_TestCase
{
    public function testGetConfig()    
    {
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig();
        $this->assertTrue($objConfig instanceof org_geoprisma_config_Config);    
    } 
    
    /**
    * @expectedException com_borealis_foundation_exception_ClassNotFoundException 
    */
    public function testGetConfig2()    
    {
        org_geoprisma_SettingImpl::setConfig('asdfas');
        org_geoprisma_config_ConfigFactory::getConfig();   
    } 
      
    /**
    * @expectedException org_geoprisma_exception_BadConfigException 
    */
    public function testGetConfig3()    
    {
        org_geoprisma_SettingImpl::setConfig('org_geoprisma_util_SingletonImpl');
        org_geoprisma_config_ConfigFactory::getConfig();   
    }    
    
    protected function tearDown()    
    {  
        org_geoprisma_SettingImpl::setConfig(org_geoprisma_SettingImpl::CONFIG);        
    }
}
  
?>