<?php
/**
* Exception lancé quand la configuration est mal remplie. 
* Un class qui n'implemente pas l'interface com_borealis_acl_datastore_DataStore
*  
* Exception code 302
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-acl  
* @author    Pascal Martin 
* @copyright Boréal Informations Stratégiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

/**
* Exception lancé quand la configuration est mal remplie. 
* Un class qui n'implemente pas l'interface com_borealis_acl_datastore_DataStore
* 
* Exception code 302
* 
* @category   PHP 
* @package    Borealis-acl
* @subpackage Exception
* @author     Pascal Martin
*/
class com_borealis_acl_exception_BadDataStoreException extends Exception
{
    /**
    * Construit une nouvelle instance de com_borealis_acl_exception_BadDataStoreException
    * 
    * @param string $pstrMessage Message d'erreur
    * 
    * @return com_borealis_acl_exception_BadDataStoreException
    */
    public function __construct($pstrMessage)
    {            
        parent::__construct($pstrMessage, 302);
    }   
}
  
?>