<?php   
/**
* Classe de base pour le création d'un mot de pass
*
* PHP versions 5
* 
* @category  PHP
* @package   Borealis-authentication
* @author    Pascal Martin 
* @copyright Boréal Informations Stratégiques Inc.
* @license   http://www.boreal-is.com/license Borealis License
* @link      http://www.boreal-is.com
*/

/**
* Classe de base pour le création d'un mot de pass
* 
* @category   PHP 
* @package    Borealis-authentication
* @subpackage Password
* @author     Pascal Martin 
*/
abstract class com_borealis_authentication_password_PasswordCreator
{
    /**
    * Retourne in instance de com_borealis_authentication_password_Password
    * 
    * @param string $pstrValue Value for Password contructor
    * 
    * @return com_borealis_authentication_password_Password
    */
    abstract public function getPassword($pstrValue);
}   
    
?>