<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
    <head>
        <title></title>    
        <script language="javascript">
            var G_CONFIRM_DELETE_ACTION =  "{gettext key=confirm_delete_action javascript=true}";
            var G_A_CANCEL_EDIT_ACTION = "{gettext key=a_cancel_edit_action javascript=true}";
            var G_A_EDIT_ACTION = "{gettext key=a_edit_action javascript=true}"; 
        </script>
        <script language="javascript" src="smarty/templates/js/actions.js"></script> 
    </head>
    <body>
        <fieldset>
            <legend>{gettext key=legend_add_action}</legend>
            <div id="error" style="color:red">{$errorAddAction}</div> 
            <form>
                {gettext key=lbl_name_action} <input type="text" name="name" value="" style="width:200px" />  
                <input type="submit" value="{gettext key=btn_add_action}" /> 
                <input type="hidden" name="action" value="add_action"/>   
            </form>
        </fieldset>
        
        <fieldset>
            <legend>{gettext key=legend_list_actions}</legend> 
            <div id="error" style="color:red">{$errorDeleteAction}</div>  
            <div id="info" style="color:green">{$infoMessage}</div>
             
            {if $actions->count() > 0}
                <ul type="circle">                        
                    {foreach from=$actions item=objAction}
                        <li>
                            {$objAction->getName()} 
                            - <a href="javascript:showHideEdit('{$objAction->getName()}');" id="edit_{$objAction->getName()}">{gettext key=a_edit_action}</a>
                            - <a href="javascript:deleteAction('{$objAction->getName()}');">{gettext key=a_delete_action}</a>                         
                            <fieldset id="edit_form_{$objAction->getName()}" style="display:none">
                                <legend>{gettext key=legend_edit_action}</legend>
                                <form>
                                    {gettext key=lbl_name_action} <input type="text" name="name" value="{$objAction->getName()}" style="width:200px" />  
                                    <input type="submit" value="{gettext key=btn_update_action}" /> 
                                    <input type="hidden" name="action" value="update_action"/>
                                    <input type="hidden" name="actionname" value="{$objAction->getName()}"/>   
                                </form>
                            </fieldset>    
                        </li>     
                    {/foreach}
                </ul> 
            {else}
                <span id="empty_action">{gettext key=lbl_empty}</span>
            {/if} 
            
        </fieldset> 
    </body>
</html>