<?php   

header('Content-type: text/html; charset=UTF-8');

require_once 'common.php';   

// --------------------------------------------------
// Create the file and directory to test this sample
// --------------------------------------------------
makeTestDir('/tmp/', true);

// --------------------------------------
// Configure library
// --------------------------------------
org_geoprisma_SettingImpl::setProxyURL('./proxy.php');

// --------------------------------------
// Save the config_secur.xml
// --------------------------------------
if (1||$g_bConfigSecure)
{
    org_geoprisma_config_ConfigFactory::getConfig()->getDomDocument()->save('/tmp/config_secur.xml');
}

// --------------------------------------
// Render the layouy
// --------------------------------------
$objUI = new org_geoprisma_uirender_UI('default');
echo $objUI->render($g_objArrayParameters); 

function makeTestDir($szBasePath, $bRecursive)
{
    $aszDirectoryList = array('a', 'b', 'c', 'd');

    foreach($aszDirectoryList as $szDir)
    {
        if($szBasePath == '/tmp/')
            $szNewDirName = $szBasePath.$szDir.'/';
        else if($bRecursive)
            $szNewDirName = $szBasePath.$szDir.$szDir.'/';
        else
            $szNewDirName = $szBasePath.$szDir.$szDir.$szDir.'/';

        if(!is_dir($szNewDirName))
            mkdir($szNewDirName);

        if(!is_file($szNewDirName.'file.txt'))
        {
            $fh = fopen($szNewDirName.'file.txt', 'w');
            fwrite($fh, 'This is the file in '.$szNewDirName);
            fclose($fh);
        }

        if($szBasePath == '/tmp/')
            makeTestDir($szNewDirName, true);
        else if($bRecursive)
            makeTestDir($szNewDirName, false);
    }
}

?>
