<?php

session_start();

if(isset($_REQUEST['logout']))
{
    unset($_SESSION['login_username']);
}

if (!isset($_SESSION['login_username']))
{
    $strUsername = null;
    $strPassword = null;
    $strMethod = null;
    $strError = '';
    
    if(isset($_REQUEST['username']))
    {
        $strUsername = $_REQUEST['username'];
    }
    if(isset($_REQUEST['password']))
    {
        $strPassword = $_REQUEST['password'];
    }

    if ($strUsername == null || $strPassword == null)
    {
        if(!isset($_REQUEST['logout']))
        {
            $strError = 'Username and password are mandatory';
        }         
        include 'login.php';
        exit;
    }
    
    $objRawPasswordCreator = new com_borealis_authentication_password_RawPasswordCreator();
    $g_strJossoUrl = 'http://192.168.3.204:9998/josso/services/SSOIdentityProvider?wsdl';
    $g_strJossoSecurityDomain = 'josso';
    $objChecker = new com_borealis_authentication_checker_JossoChecker($objRawPasswordCreator, $g_strJossoUrl, $g_strJossoSecurityDomain);
                
    com_borealis_authentication_SettingImpl::setCheckers(array($objChecker));

    $bIsAuthorized = com_borealis_authentication_AuthenticationManager::isAuthorized($strUsername, $strPassword);
    if ($bIsAuthorized)
    {        
        $_SESSION['login_username'] = $strUsername;        
    }
    else
    {
        $strError = 'Bad username or password';
        include 'login.php';
        exit;
    }
}

?>