
Ext.ns('GeoPrisma.Download');

GeoPrisma.Download.Panel = Ext.extend(Ext.Panel, {
    
    width:260,
    autoHeight:true,
    layout:'fit',
    border: false,
    full: false,
    
    initComponent:function() {
        var html=[];

        this.full && html.push('<h3>Package Source (excludes ExtJS)</h3>');

        html.push('<a href="/download/geoprisma-1.4.0.tar.gz">Current Release (1.4.0)</a><br />');
        html.push('<a href="/download" target="_blank">All Releases</a><br />');

        if (this.full) {
            html.push('<br />');
            html.push('<h3>Development Source</h3>');
            html.push('Current trunk : <a href="https://svn.osgeo.org/geoprisma/projects/geoprisma/trunk" target="_blank">https://svn.osgeo.org/geoprisma/projects/geoprisma/trunk</a><br />');
            html.push('Lastest Release Branch : <a href="https://svn.osgeo.org/geoprisma/projects/geoprisma/branches/branch-1-4/" target="_blank">https://svn.osgeo.org/geoprisma/projects/geoprisma/branches/branch-1-4/</a><br />');
        }

        this.html = html.join("");
        
        GeoPrisma.Download.Panel.superclass.initComponent.call(this);
    } 
});
