<?php

class PDFPrint extends org_geoprisma_widget_WidgetBase
{
    static public function getText($pstrMsg)
    {
        return parent::getText($pstrMsg, self::getType());
    }
     
    static public function getAction()
    {
        return 'read';
    }    
     
    static public function getType()
    {
        return 'pdfprint';
    }

    static public function getServiceType()
    {
        return 'widget';
    }

    static public function needLayer() 
    {
        // of any kind except GYMO ?
        return true;
    }

    static public function linkResource($pobjResource, $pobjWidget) 
    {
        if ($pobjWidget == null) 
        {
            return;
        }

        // decode the 'templates' option that is saved in json
        $objOption = $pobjWidget->getOption('templates');
        $objOption->setValue(
            json_decode($objOption->getValue(), true)
        );
    }

    /* json value example for the 'templates' option :

       [{"name":"Portrait","model":"Letter Portrait","thumb":"iconA4.jpg","dpi":"254","fields":[{"type":"text","name":"mapTitle","label":"Titre"}]}]

    */
}
  
?>
