<?php
/**
* Thrown Exception when the 'mapfishlayertree' widget still use the old 
* 'model' and 'children' nodes.  They must be replaced by 'nodes' nodes.
* 
* Exception code 405
*
* PHP versions 5
* 
* @category  PHP
* @package   GeoPrisma  
* @author    Alexandre Dube
* @copyright 2010, Nippour Geomatik
* @license   http://www.geoprisma.org/license BSD License
* @link      http://www.geoprisma.org
*/

/**
* Thrown Exception when the 'mapfishlayertree' widget still use the old 
* 'model' and 'children' nodes.  They must be replaced by 'nodes' nodes.
* 
* Exception code 405
*
* @category   PHP 
* @package    GeoPrisma
* @subpackage Exception
* @author     Alexandre Dube
*/
class org_geoprisma_exception_MapFishLayerTreeMustBeChangedException extends Exception
{
    /**
    * Construct a new instance of 
    * org_geoprisma_exception_MapFishLayerTreeMustBeChangedException 
    * 
    * @return org_geoprisma_exception_MapFishLayerTreeMustBeChangedException
    */
    public function __construct()
    {
        $strMessage = "<b>== Error == </b><br /><br />Your config.xml file has a 'mapfishlayertree' widget that has the old 'model' and 'children' nodes.  Please, replace them for 'nodes'.";
        parent::__construct($strMessage, 405);
    }   
}
  
?>
