<?php

include_once dirname(__FILE__).'../../../../../../src/client/widgets/measuretool/measuretool.php';
    
class MeasureToolTest extends PHPUnit_Framework_TestCase
{
    public function testGetAction()    
    {
        $this->assertEquals('read', MeasureTool::getAction());
    }  
    
    public function testGetType()    
    {
        $this->assertEquals('measuretool', MeasureTool::getType());
    } 
    
    public function testGetText()    
    {
        putenv('LANGUAGE=en_US'); 
        setlocale(LC_ALL, 'en_US');   
        $this->assertEquals('phpunit_test', MeasureTool::getText('phpunit_test','measuretool'));
        $this->assertEquals('phpunit_test', MeasureTool::getText('phpunit_test','sdfdsgsg'));
        $this->assertEquals('phpunit_test', MeasureTool::getText('phpunit_test')); 
          
        putenv("LANGUAGE=fr_CA");
        setlocale(LC_ALL, 'fr_CA');   
        $this->assertEquals('phpunit_test', MeasureTool::getText('phpunit_test','measuretool'));  
        $this->assertEquals('phpunit_test', MeasureTool::getText('phpunit_test','asfasfa'));   
        $this->assertEquals('phpunit_test', MeasureTool::getText('phpunit_test'));        
    } 
}
  
?>