<?php

class org_geoprisma_Bootstrap
{
    static public function main()
    {
        require_once 'com/borealis/Autoload.php';      
        require_once 'PHPUnit/Framework.php';    
    }
}  

ini_set('max_execution_time', 0);  
      
org_geoprisma_Bootstrap::main();  
$strgeoprismaHome = dirname(__FILE__).'/../../../../../..';  
$strgeoprismaHome = com_borealis_foundation_util_Path::getAbsolute($strgeoprismaHome);

org_geoprisma_SettingImpl::setXMLConfigFile("$strgeoprismaHome/test/config/config.xml");
org_geoprisma_SettingImpl::setTemplateDir("$strgeoprismaHome/src/client/templates");
org_geoprisma_SettingImpl::setWidgetDir("$strgeoprismaHome/src/client/widgets");
org_geoprisma_SettingImpl::setLocaleDir("$strgeoprismaHome/languages");
org_geoprisma_SettingImpl::setProxyURL('proxy.php');  
org_geoprisma_SettingImpl::setLibDir("$strgeoprismaHome/src/lib");
org_geoprisma_SettingImpl::setLibUrl('../../lib');
org_geoprisma_SettingImpl::setTemplateUrl('../../src/client/templates');
org_geoprisma_SettingImpl::setWidgetUrl('../../src/client/widgets');        
                
// Set acl setting 
com_borealis_acl_SettingImpl::setDataStore('com_borealis_acl_datastore_XMLDataStore');
com_borealis_acl_SettingImpl::setXMLConfigFile("$strgeoprismaHome/test/config/acl.xml");
 
com_borealis_foundation_test_LoadClass::load("$strgeoprismaHome/src", 'org_geoprisma');  
     
// Load widget

$objDirIter = new RecursiveDirectoryIterator(org_geoprisma_SettingImpl::getWidgetDir(), RecursiveDirectoryIterator::KEY_AS_PATHNAME);
foreach ($objDirIter as $strFile => $objInfo) 
{
    if ($objInfo->isDir())
    {
        if (substr($objInfo->getFilename(), 0, 1) != '.')
        {
            $strType = $objInfo->getFilename();
            @include_once org_geoprisma_SettingImpl::getWidgetDir()."/$strType/$strType.php";
        }
    } 
}         
     
     
?>
