<?php

class org_geoprisma_layout_LayoutTest extends PHPUnit_Framework_TestCase
{
    public function testConstruct()    
    {
        new org_geoprisma_layout_Layout('asd','asd','asd');
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    */
    public function testConstruct2()    
    {
        new org_geoprisma_layout_Layout('','asd','asd');
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    */
    public function testConstruct3()    
    {
        new org_geoprisma_layout_Layout('asd','','asd');
    }
    
    /**
    * @expectedException com_borealis_foundation_exception_AssertException 
    */
    public function testConstruct4()    
    {
        new org_geoprisma_layout_Layout('asd','asd','');
    }
    
    public function testGetName()    
    {
        $objLayer = new org_geoprisma_layout_Layout('a1','a2','a3');
        $this->assertEquals('a1', $objLayer->getName());
    }  
    
    public function testGetFile()    
    {
        $objLayer = new org_geoprisma_layout_Layout('a1','a2','a3');
        $this->assertEquals('a2', $objLayer->getFile());
    }
    
    public function testGetDrawMode()    
    {
        $objLayer = new org_geoprisma_layout_Layout('a1','a2','a3');
        $this->assertEquals('a3', $objLayer->getDrawMode());
    }
}
  
?>