<?php
    
class org_geoprisma_proxy_featureserver_FeatureServerUpdateProxyTest extends PHPUnit_Framework_TestCase
{
    
    public function testProcess()    
    {
        $_REQUEST['osmservice'] = 'FeatureServerDemo';
        $_REQUEST['osmresource'] = 'ResourceScribble'; 
        $_SERVER['PATH_INFO'] = '/scribble/2.json';
        $_SERVER['REQUEST_METHOD'] = 'PUT';
        
        $objProxy = org_geoprisma_proxy_ProxyFactory::getProxy();
        $this->assertTrue($objProxy instanceof org_geoprisma_proxy_Proxy); 
        $this->assertTrue($objProxy instanceof org_geoprisma_proxy_featureserver_FeatureServerProxy);        
        $this->assertTrue($objProxy instanceof org_geoprisma_proxy_featureserver_FeatureServerUpdateProxy);        
        
        ob_start();
        $objProxy->process();    
        $strJsonResult = ob_get_contents();
        ob_end_clean();
                
        $this->assertTrue( count($strJsonResult) > 0);                
    }
}
  
?>