<?php
    
class org_geoprisma_service_WMSServiceTest extends PHPUnit_Framework_TestCase
{

    public function testGetName()    
    {
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig();       
        $objService = $objConfig->getService('MetaCartaVM0');        
        $this->assertTrue($objService instanceof org_geoprisma_service_WMSService);
        
        $this->assertEquals('MetaCartaVM0', $objService->getName());        
    }  
    
    public function testGetSource()    
    {
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig();
        $objService = $objConfig->getService('MetaCartaVM0');        
        $this->assertTrue($objService instanceof org_geoprisma_service_WMSService);
        
        $this->assertEquals('http://labs.metacarta.com/wms/vmap0', $objService->getSource());        
    }  
    
    public function testGetSRS()    
    {
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig();
        $objService = $objConfig->getService('MetaCartaVM0');        
        $this->assertTrue($objService instanceof org_geoprisma_service_WMSService);
        
        $this->assertEquals('*', $objService->getSRS());        
    }  
    
    public function testGetFormat()    
    {
        $objConfig = org_geoprisma_config_ConfigFactory::getConfig();
        $objService = $objConfig->getService('MetaCartaVM0');        
        $this->assertTrue($objService instanceof org_geoprisma_service_WMSService);
        
        $this->assertEquals('*', $objService->getFormat());        
    }  
}
  
?>